Update an MCP policy's name, servers or rules
curl --request PUT \
--url https://{host}/api/dlp/admin/v1/mcp-policies/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mcp_server_ids": [
"<string>"
],
"name": "<string>",
"rules": [
{
"action": "<string>",
"detection_engine_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"runtime_boundary": "<string>",
"agent_scope": {
"mode": "<string>",
"agent_ids": [
"<string>"
]
},
"dry_run": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"mask_format": {
"keep_chars": 1,
"mask_char": "<string>",
"preserve_separators": true
},
"principal_scope": {
"mode": "<string>",
"principals": [
{
"principal_id": "<string>",
"principal_type": "<string>"
}
]
}
}
]
}
'import requests
url = "https://{host}/api/dlp/admin/v1/mcp-policies/{id}"
payload = {
"mcp_server_ids": ["<string>"],
"name": "<string>",
"rules": [
{
"action": "<string>",
"detection_engine_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"runtime_boundary": "<string>",
"agent_scope": {
"mode": "<string>",
"agent_ids": ["<string>"]
},
"dry_run": True,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"mask_format": {
"keep_chars": 1,
"mask_char": "<string>",
"preserve_separators": True
},
"principal_scope": {
"mode": "<string>",
"principals": [
{
"principal_id": "<string>",
"principal_type": "<string>"
}
]
}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mcp_server_ids: ['<string>'],
name: '<string>',
rules: [
{
action: '<string>',
detection_engine_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
runtime_boundary: '<string>',
agent_scope: {mode: '<string>', agent_ids: ['<string>']},
dry_run: true,
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
label: '<string>',
mask_format: {keep_chars: 1, mask_char: '<string>', preserve_separators: true},
principal_scope: {
mode: '<string>',
principals: [{principal_id: '<string>', principal_type: '<string>'}]
}
}
]
})
};
fetch('https://{host}/api/dlp/admin/v1/mcp-policies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/dlp/admin/v1/mcp-policies/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'mcp_server_ids' => [
'<string>'
],
'name' => '<string>',
'rules' => [
[
'action' => '<string>',
'detection_engine_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'runtime_boundary' => '<string>',
'agent_scope' => [
'mode' => '<string>',
'agent_ids' => [
'<string>'
]
],
'dry_run' => true,
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'label' => '<string>',
'mask_format' => [
'keep_chars' => 1,
'mask_char' => '<string>',
'preserve_separators' => true
],
'principal_scope' => [
'mode' => '<string>',
'principals' => [
[
'principal_id' => '<string>',
'principal_type' => '<string>'
]
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/dlp/admin/v1/mcp-policies/{id}"
payload := strings.NewReader("{\n \"mcp_server_ids\": [\n \"<string>\"\n ],\n \"name\": \"<string>\",\n \"rules\": [\n {\n \"action\": \"<string>\",\n \"detection_engine_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"runtime_boundary\": \"<string>\",\n \"agent_scope\": {\n \"mode\": \"<string>\",\n \"agent_ids\": [\n \"<string>\"\n ]\n },\n \"dry_run\": true,\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"label\": \"<string>\",\n \"mask_format\": {\n \"keep_chars\": 1,\n \"mask_char\": \"<string>\",\n \"preserve_separators\": true\n },\n \"principal_scope\": {\n \"mode\": \"<string>\",\n \"principals\": [\n {\n \"principal_id\": \"<string>\",\n \"principal_type\": \"<string>\"\n }\n ]\n }\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{host}/api/dlp/admin/v1/mcp-policies/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"mcp_server_ids\": [\n \"<string>\"\n ],\n \"name\": \"<string>\",\n \"rules\": [\n {\n \"action\": \"<string>\",\n \"detection_engine_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"runtime_boundary\": \"<string>\",\n \"agent_scope\": {\n \"mode\": \"<string>\",\n \"agent_ids\": [\n \"<string>\"\n ]\n },\n \"dry_run\": true,\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"label\": \"<string>\",\n \"mask_format\": {\n \"keep_chars\": 1,\n \"mask_char\": \"<string>\",\n \"preserve_separators\": true\n },\n \"principal_scope\": {\n \"mode\": \"<string>\",\n \"principals\": [\n {\n \"principal_id\": \"<string>\",\n \"principal_type\": \"<string>\"\n }\n ]\n }\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/dlp/admin/v1/mcp-policies/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"mcp_server_ids\": [\n \"<string>\"\n ],\n \"name\": \"<string>\",\n \"rules\": [\n {\n \"action\": \"<string>\",\n \"detection_engine_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"runtime_boundary\": \"<string>\",\n \"agent_scope\": {\n \"mode\": \"<string>\",\n \"agent_ids\": [\n \"<string>\"\n ]\n },\n \"dry_run\": true,\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"label\": \"<string>\",\n \"mask_format\": {\n \"keep_chars\": 1,\n \"mask_char\": \"<string>\",\n \"preserve_separators\": true\n },\n \"principal_scope\": {\n \"mode\": \"<string>\",\n \"principals\": [\n {\n \"principal_id\": \"<string>\",\n \"principal_type\": \"<string>\"\n }\n ]\n }\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"created_at": "<string>",
"created_by": "<string>",
"id": "<string>",
"is_baseline": true,
"mcp_server_ids": [
"<string>"
],
"name": "<string>",
"rules": [
{
"action": "<string>",
"agent_scope": {
"mode": "<string>",
"agent_ids": [
"<string>"
]
},
"detection_engine_ids": [
"<string>"
],
"dry_run": true,
"id": "<string>",
"principal_scope": {
"mode": "<string>",
"principals": [
{
"principal_id": "<string>",
"principal_type": "<string>"
}
]
},
"runtime_boundary": "<string>",
"label": "<string>",
"mask_format": {
"keep": "PREFIX",
"keep_chars": 1,
"mask_char": "<string>",
"preserve_separators": true
}
}
],
"updated_at": "<string>",
"updated_by": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Data Control Center
Update an MCP policy's name, servers or rules
Partial update: omitted fields are left unchanged, and a rules list replaces the whole set (keep an existing rule by passing its id back). The Baseline policy can’t be edited here — use /mcp-baseline-policy.
PUT
/
api
/
dlp
/
admin
/
v1
/
mcp-policies
/
{id}
Update an MCP policy's name, servers or rules
curl --request PUT \
--url https://{host}/api/dlp/admin/v1/mcp-policies/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mcp_server_ids": [
"<string>"
],
"name": "<string>",
"rules": [
{
"action": "<string>",
"detection_engine_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"runtime_boundary": "<string>",
"agent_scope": {
"mode": "<string>",
"agent_ids": [
"<string>"
]
},
"dry_run": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"mask_format": {
"keep_chars": 1,
"mask_char": "<string>",
"preserve_separators": true
},
"principal_scope": {
"mode": "<string>",
"principals": [
{
"principal_id": "<string>",
"principal_type": "<string>"
}
]
}
}
]
}
'import requests
url = "https://{host}/api/dlp/admin/v1/mcp-policies/{id}"
payload = {
"mcp_server_ids": ["<string>"],
"name": "<string>",
"rules": [
{
"action": "<string>",
"detection_engine_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"runtime_boundary": "<string>",
"agent_scope": {
"mode": "<string>",
"agent_ids": ["<string>"]
},
"dry_run": True,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"mask_format": {
"keep_chars": 1,
"mask_char": "<string>",
"preserve_separators": True
},
"principal_scope": {
"mode": "<string>",
"principals": [
{
"principal_id": "<string>",
"principal_type": "<string>"
}
]
}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mcp_server_ids: ['<string>'],
name: '<string>',
rules: [
{
action: '<string>',
detection_engine_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
runtime_boundary: '<string>',
agent_scope: {mode: '<string>', agent_ids: ['<string>']},
dry_run: true,
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
label: '<string>',
mask_format: {keep_chars: 1, mask_char: '<string>', preserve_separators: true},
principal_scope: {
mode: '<string>',
principals: [{principal_id: '<string>', principal_type: '<string>'}]
}
}
]
})
};
fetch('https://{host}/api/dlp/admin/v1/mcp-policies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/dlp/admin/v1/mcp-policies/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'mcp_server_ids' => [
'<string>'
],
'name' => '<string>',
'rules' => [
[
'action' => '<string>',
'detection_engine_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'runtime_boundary' => '<string>',
'agent_scope' => [
'mode' => '<string>',
'agent_ids' => [
'<string>'
]
],
'dry_run' => true,
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'label' => '<string>',
'mask_format' => [
'keep_chars' => 1,
'mask_char' => '<string>',
'preserve_separators' => true
],
'principal_scope' => [
'mode' => '<string>',
'principals' => [
[
'principal_id' => '<string>',
'principal_type' => '<string>'
]
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/dlp/admin/v1/mcp-policies/{id}"
payload := strings.NewReader("{\n \"mcp_server_ids\": [\n \"<string>\"\n ],\n \"name\": \"<string>\",\n \"rules\": [\n {\n \"action\": \"<string>\",\n \"detection_engine_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"runtime_boundary\": \"<string>\",\n \"agent_scope\": {\n \"mode\": \"<string>\",\n \"agent_ids\": [\n \"<string>\"\n ]\n },\n \"dry_run\": true,\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"label\": \"<string>\",\n \"mask_format\": {\n \"keep_chars\": 1,\n \"mask_char\": \"<string>\",\n \"preserve_separators\": true\n },\n \"principal_scope\": {\n \"mode\": \"<string>\",\n \"principals\": [\n {\n \"principal_id\": \"<string>\",\n \"principal_type\": \"<string>\"\n }\n ]\n }\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{host}/api/dlp/admin/v1/mcp-policies/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"mcp_server_ids\": [\n \"<string>\"\n ],\n \"name\": \"<string>\",\n \"rules\": [\n {\n \"action\": \"<string>\",\n \"detection_engine_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"runtime_boundary\": \"<string>\",\n \"agent_scope\": {\n \"mode\": \"<string>\",\n \"agent_ids\": [\n \"<string>\"\n ]\n },\n \"dry_run\": true,\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"label\": \"<string>\",\n \"mask_format\": {\n \"keep_chars\": 1,\n \"mask_char\": \"<string>\",\n \"preserve_separators\": true\n },\n \"principal_scope\": {\n \"mode\": \"<string>\",\n \"principals\": [\n {\n \"principal_id\": \"<string>\",\n \"principal_type\": \"<string>\"\n }\n ]\n }\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/dlp/admin/v1/mcp-policies/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"mcp_server_ids\": [\n \"<string>\"\n ],\n \"name\": \"<string>\",\n \"rules\": [\n {\n \"action\": \"<string>\",\n \"detection_engine_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"runtime_boundary\": \"<string>\",\n \"agent_scope\": {\n \"mode\": \"<string>\",\n \"agent_ids\": [\n \"<string>\"\n ]\n },\n \"dry_run\": true,\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"label\": \"<string>\",\n \"mask_format\": {\n \"keep_chars\": 1,\n \"mask_char\": \"<string>\",\n \"preserve_separators\": true\n },\n \"principal_scope\": {\n \"mode\": \"<string>\",\n \"principals\": [\n {\n \"principal_id\": \"<string>\",\n \"principal_type\": \"<string>\"\n }\n ]\n }\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"created_at": "<string>",
"created_by": "<string>",
"id": "<string>",
"is_baseline": true,
"mcp_server_ids": [
"<string>"
],
"name": "<string>",
"rules": [
{
"action": "<string>",
"agent_scope": {
"mode": "<string>",
"agent_ids": [
"<string>"
]
},
"detection_engine_ids": [
"<string>"
],
"dry_run": true,
"id": "<string>",
"principal_scope": {
"mode": "<string>",
"principals": [
{
"principal_id": "<string>",
"principal_type": "<string>"
}
]
},
"runtime_boundary": "<string>",
"label": "<string>",
"mask_format": {
"keep": "PREFIX",
"keep_chars": 1,
"mask_char": "<string>",
"preserve_separators": true
}
}
],
"updated_at": "<string>",
"updated_by": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
ApiKeyOAuth2
Scopes
Body
application/json